diff --git a/fc-solve/source/google_hash.h b/fc-solve/source/google_hash.h
index df8e8a74d..1c531bdd7 100644
--- a/fc-solve/source/google_hash.h
+++ b/fc-solve/source/google_hash.h
@@ -13,7 +13,8 @@
 #pragma once
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
 #include "config.h"
@@ -21,45 +22,49 @@ extern "C" {
 
 #if (FCS_STATE_STORAGE == FCS_STATE_STORAGE_GOOGLE_DENSE_HASH)
 
-typedef void *fcs_states_google_hash_handle_t;
+    typedef void *fcs_states_google_hash_handle_t;
 
-extern fcs_states_google_hash_handle_t fc_solve_states_google_hash_new(void);
+    extern fcs_states_google_hash_handle_t fc_solve_states_google_hash_new(
+        void);
 
-/*
- * Returns 0 if the key is new and the key/val pair was inserted.
- *      - in that case *existing_key / *existing_val will be set to key
- *      and val respectively.
- * Returns 1 if the key is not new and *existing_key / *existing_val
- * was set to it.
- */
-extern fcs_bool_t fc_solve_states_google_hash_insert(
-    fcs_states_google_hash_handle_t hash, void *key, void **existing_key);
+    /*
+     * Returns 0 if the key is new and the key/val pair was inserted.
+     *      - in that case *existing_key / *existing_val will be set to key
+     *      and val respectively.
+     * Returns 1 if the key is not new and *existing_key / *existing_val
+     * was set to it.
+     */
+    extern fcs_bool_t fc_solve_states_google_hash_insert(
+        fcs_states_google_hash_handle_t hash, void *key, void **existing_key);
 
-void fc_solve_states_google_hash_free(fcs_states_google_hash_handle_t hash);
+    void fc_solve_states_google_hash_free(fcs_states_google_hash_handle_t hash);
 
-extern void fc_solve_states_google_hash_foreach(
-    fcs_states_google_hash_handle_t hash,
-    fcs_bool_t (*should_delete_ptr)(void *key, void *context), void *context);
+    extern void fc_solve_states_google_hash_foreach(
+        fcs_states_google_hash_handle_t hash,
+        fcs_bool_t (*should_delete_ptr)(void *key, void *context),
+        void *context);
 
 #endif
 
 #if (FCS_STACK_STORAGE == FCS_STACK_STORAGE_GOOGLE_DENSE_HASH)
 
-typedef void *fcs_columns_google_hash_handle_t;
+    typedef void *fcs_columns_google_hash_handle_t;
 
-extern fcs_columns_google_hash_handle_t fc_solve_columns_google_hash_new(void);
+    extern fcs_columns_google_hash_handle_t fc_solve_columns_google_hash_new(
+        void);
 
-/*
- * Returns 0 if the key is new and the key/val pair was inserted.
- *      - in that case *existing_key / *existing_val will be set to key
- *      and val respectively.
- * Returns 1 if the key is not new and *existing_key / *existing_val
- * was set to it.
- */
-extern fcs_bool_t fc_solve_columns_google_hash_insert(
-    fcs_columns_google_hash_handle_t hash, void *key, void **existing_key);
+    /*
+     * Returns 0 if the key is new and the key/val pair was inserted.
+     *      - in that case *existing_key / *existing_val will be set to key
+     *      and val respectively.
+     * Returns 1 if the key is not new and *existing_key / *existing_val
+     * was set to it.
+     */
+    extern fcs_bool_t fc_solve_columns_google_hash_insert(
+        fcs_columns_google_hash_handle_t hash, void *key, void **existing_key);
 
-void fc_solve_columns_google_hash_free(fcs_columns_google_hash_handle_t hash);
+    void fc_solve_columns_google_hash_free(
+        fcs_columns_google_hash_handle_t hash);
 
 #endif
 
diff --git a/fc-solve/source/handle_parsing.h b/fc-solve/source/handle_parsing.h
index 48701f3a9..32d81b727 100644
--- a/fc-solve/source/handle_parsing.h
+++ b/fc-solve/source/handle_parsing.h
@@ -12,7 +12,8 @@
 #pragma once
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
 #include "rinutils.h"
@@ -22,19 +23,20 @@ extern "C" {
 #include "fcs_user.h"
 #include "fc_solve__precompiled__theme.h"
 #endif
-enum
-{
-    EXIT_AND_RETURN_0 = FCS_CMD_LINE_USER
-};
+    enum
+    {
+        EXIT_AND_RETURN_0 = FCS_CMD_LINE_USER
+    };
 
-static inline void *alloc_instance_and_parse(const int argc, char **const argv,
-    int *const arg_ptr, freecell_solver_str_t *const known_parameters,
-    const freecell_solver_user_cmd_line_known_commands_callback_t callback,
-    void *const callback_context, const fcs_bool_t only_recognized)
-{
-    void *const instance = freecell_solver_user_alloc();
+    static inline void *alloc_instance_and_parse(const int argc,
+        char **const argv, int *const arg_ptr,
+        freecell_solver_str_t *const known_parameters,
+        const freecell_solver_user_cmd_line_known_commands_callback_t callback,
+        void *const callback_context, const fcs_bool_t only_recognized)
+    {
+        void *const instance = freecell_solver_user_alloc();
 #ifdef FCS_USE_PRECOMPILED_CMD_LINE_THEME
-    my_init_instance(instance);
+        my_init_instance(instance);
 #else
     FCS__DECL_ERR_PTR(error_string);
     switch (freecell_solver_user_cmd_line_parse_args_with_file_nesting_count(
@@ -73,24 +75,25 @@ static inline void *alloc_instance_and_parse(const int argc, char **const argv,
         exit(-1);
     }
 #endif
-    return instance;
-}
+        return instance;
+    }
 
-static inline void *simple_alloc_and_parse(
-    const int argc, char **const argv, int arg)
-{
-    return alloc_instance_and_parse(argc, argv, &arg, NULL, NULL, NULL, TRUE);
-}
+    static inline void *simple_alloc_and_parse(
+        const int argc, char **const argv, int arg)
+    {
+        return alloc_instance_and_parse(
+            argc, argv, &arg, NULL, NULL, NULL, TRUE);
+    }
 
-static inline void print_flares_plan_error(void *const instance)
-{
+    static inline void print_flares_plan_error(void *const instance)
+    {
 #ifdef FCS_WITH_ERROR_STRS
-    fprintf(stderr, "Flares Plan: %s\n",
-        freecell_solver_user_get_last_error_string(instance));
+        fprintf(stderr, "Flares Plan: %s\n",
+            freecell_solver_user_get_last_error_string(instance));
 #else
     fprintf(stderr, "%s\n", "Flares Plan Error");
 #endif
-}
+    }
 
 #ifdef __cplusplus
 }
